.
Results 1 to 3 of 3

Thread: Faulty JR content.

  1. #1

    Exclamation Faulty JR content.

    Just updated the Smart signal library to the latest version but it is now faulty.
    These are the errors that CM lists.
    Error: smartsignal.gs(228) : function SetAllowsPermitControl not declared in class JunctionBase or derivative, line 228.
    Error: .. while compiling 'smartsignal.gs'
    I hope the guys at JR will upload a fix.

    my YT channel: https://www.youtube.com/channel/UC0kO-ivUrfsjC3Ho1PMo5Pw

  2. #2
    Join Date
    Nov 2006
    Location
    Sweetwater, TN, USA
    Posts
    5,439
    Blog Entries
    2
     

    Default

    Quote Originally Posted by slenderman8888 View Post
    Just updated the Smart signal library to the latest version but it is now faulty.
    These are the errors that CM lists.
    Error: smartsignal.gs(228) : function SetAllowsPermitControl not declared in class JunctionBase or derivative, line 228.
    Error: .. while compiling 'smartsignal.gs'
    I hope the guys at JR will upload a fix.

    You should go back to the previous version. The one you have (you did not say which) is incompatible with TS12.

  3. #3

    Default

    You should consider updating it and actually changing the trainz build number so that TS12 cannot download the incompatible version. Yeah i just deleted it and kept the old version ignoring the "update available" notification.

    my YT channel: https://www.youtube.com/channel/UC0kO-ivUrfsjC3Ho1PMo5Pw

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •